#!/usr/bin/python
# -*- coding: iso-8859-1 -*-

import sparql
import sys

#TODO: Fehlerbehandlung!

class MoonCalendar:
	"""Mondkalender als RDF-Datei
	"""
	def __init__(self, ontoDict,moonCalendarRdf):
		self.ontoDict = ontoDict
		self.sparql = sparql.SparqlMoonCalendar(self.ontoDict,moonCalendarRdf)
		self.moonDaysList = []
		self.setMoonDays()
		
	def setMoonDays(self):
		"""liest die einzlenen Tage eines Mondkalendermonats in eine Liste 
		und bergibt jedes Listenelement - also jeden Tag - an die Klasse MoonOneDay
		"""
		days = self.sparql.mcOneDayQuery()
		for day in days:
			self.moonDaysList.append(MoonOneDay(day.encode('utf-8'),self.sparql))
		
	def appendMoonDays(self,newMoonCalendarRdf):
		"""erzeugt ein neues Sparqlobjekt und liest die einzlenen Tage eines neuen Mondkalendermonats in eine Liste 
		und bergibt jedes Listenelement - also jeden Tag - an die Klasse MoonOneDay
		"""
		mkList = []
		newSparql = sparql.SparqlMoonCalendar(self.ontoDict,newMoonCalendarRdf)
		days = newSparql.mcOneDayQuery()
		for day in days:
			mkList.append(MoonOneDay(day.encode('utf-8'),newSparql))
		self.moonDaysList = self.moonDaysList + mkList
		return mkList
			
			
			
class MoonOneDay:
	"""Monddaten eines Tages (Mondphase, Mondsternzeichen)
	"""
	def __init__(self, moonCalendarDate,sparqlMoonCalendar):
		"""
		"""
		self.moonCalendarDate = moonCalendarDate
		self.sparql = sparqlMoonCalendar
		self.mcXsdDate = self.setMcXsdDate()
		self.moonPhase = []
		self.signOfZodiac = []
		self.waxingMoon = True
		
	def setMcXsdDate(self):
		"""ermittelt das Datum im xsd:date-Format 
		"""
		try:
			self.mcXsdDate =  str(self.sparql.mcDateQuery(self.moonCalendarDate)[0])	
		except IndexError:
			self.mcXsdDate = ""
		
	def getMcXsdDate(self):
		return self.mcXsdDate
		
		
	def setMoonPhase(self):
		"""holt sich Informationen ueber die Mondphase 
		"""
		try:
			mPh =  str(self.sparql.ageOfMoonQuery(self.moonCalendarDate)[0])
		except IndexError:
			mPh = "0"
		if float(mPh) > 14:
			self.waxingMoon = False	
		else:
			self.waxingMoon =True
	
	def getWaxingMoon(self):
		return self.waxingMoon
	
	
	def setSignOfZodiac(self):
		"""holt sich Informationen ueber das Mondsternzeichen eines bestimmten Tages
		"""		
		try:
			self.signOfZodiac =  str(self.sparql.signOfZodiacQuery(self.moonCalendarDate)[0])
		except IndexError:
			self.signOfZodiac = ""
			
	def getSignOfZodiac(self):
		return self.signOfZodiac
	
