<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"	
	xmlns:xsd="http://www.w3.org/2001/XMLSchema#"
	xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
	xmlns:owl="http://www.w3.org/2002/07/owl#"
	xmlns:moon="http://www.it-devel.de/semanticWeb/res/ontology/01mondkalenderOnto.owl#">

	<xsl:output method="xml"/>

	<xsl:template match="html">
		<rdf:RDF>
			<xsl:variable name="jahr" select="body/table/tr/td/table/tr/td/table/tr/td/table/tr/td/span" />
			<xsl:variable name="monat" select="substring-before(body/table/tr/td/table/tr/td/table/tr/td/table/tr/td,' ')" />
			<xsl:variable name="monatszahl">6</xsl:variable>
			<xsl:for-each select="body/table/tr/td/table/tr/td/table/tr/td/table/tr/td">
				<xsl:text>&#10;</xsl:text> 
				<xsl:if test="./nobr/table">
				
					<rdf:Description rdf:about="{concat(round(substring(text(),1,2)),'.',$monat,$jahr)}">
						<xsl:text>&#10;</xsl:text> 

						<moon:Date><xsl:value-of select="concat(round(substring(text(),1,2)),'.',$monat,'',$jahr)" /></moon:Date>
						<xsl:text>&#10;</xsl:text> 

						<moon:inXSDDateTime><xsl:value-of select="format-number(round(substring(text(),1,2)),'##,00')" />-<xsl:choose>
								<xsl:when test="contains($monat,'Januar')">01</xsl:when>
								<xsl:when test="contains($monat,'Februar')">02</xsl:when>
								<xsl:when test="contains($monat,'April')">04</xsl:when>
								<xsl:when test="contains($monat,'Mai')">05</xsl:when>
								<xsl:when test="contains($monat,'Juni')">06</xsl:when>
								<xsl:when test="contains($monat,'Juli')">07</xsl:when>
								<xsl:when test="contains($monat,'August')">08</xsl:when>
								<xsl:when test="contains($monat,'September')">09</xsl:when>
								<xsl:when test="contains($monat,'Oktober')">10</xsl:when>
								<xsl:when test="contains($monat,'November')">11</xsl:when>
								<xsl:when test="contains($monat,'Dezember')">12</xsl:when>
								<xsl:otherwise>3</xsl:otherwise>
							</xsl:choose>-<xsl:value-of select="$jahr" />
						</moon:inXSDDateTime>
						<xsl:text>&#10;</xsl:text> 
						<xsl:for-each select="./nobr/table/tr/td">
							<xsl:if test="substring(substring-before(./a/img/@src,'.gif'),17,2)">
								<moon:hasAgeOfMoonInXsdDecimal><xsl:value-of select = "substring(substring-before(./a/img/@src,'.gif'),17,2)"/> 
								</moon:hasAgeOfMoonInXsdDecimal>
								<xsl:text>&#10;</xsl:text> 
							</xsl:if>
							
							<xsl:if test="substring(substring-before(./a/img/@src,'_black.jpg'),21,20)">
								<moon:isInSignOfZodiac rdf:resource="{substring(substring-before(./a/img/@src,'_black.jpg'),21,20)}" />
								<xsl:text>&#10;</xsl:text> 
							</xsl:if>
							<xsl:if test="./text()[2]">
								<moon:hasMoonriseInXsdTime><xsl:value-of select="substring(./text()[1],4,5)" /></moon:hasMoonriseInXsdTime>
								<xsl:text>&#10;</xsl:text> 
								<moon:hasMoonsetInXsdTime><xsl:value-of select="substring(./text()[2],4,5)" /></moon:hasMoonsetInXsdTime>
								<xsl:text>&#10;</xsl:text> 
							</xsl:if>
						</xsl:for-each>
					</rdf:Description>
					<xsl:text>&#10;</xsl:text> 


					<xsl:for-each select="./nobr/table/tr/td">
						<xsl:if test="substring(substring-before(./a/img/@src,'_black.jpg'),21,20)">
							<xsl:variable name="sign" select="substring(substring-before(./a/img/@src,'_black.jpg'),21,20)" />
							<rdf:Description rdf:about="{$sign}">
								<xsl:text>&#10;</xsl:text> 
								<rdf:type rdf:resource="MoonIn{$sign}"/>
								<xsl:text>&#10;</xsl:text> 
							</rdf:Description>
					<xsl:text>&#10;</xsl:text> 
					<xsl:text>&#10;</xsl:text> 
						</xsl:if>
					</xsl:for-each>

				</xsl:if>
		</xsl:for-each>
		</rdf:RDF>
	</xsl:template>
</xsl:stylesheet>